[3/9] build: avoid automake warnings about AM_PROG_AR requirement

Submitted by Jim Meyering on Dec. 1, 2011, 3:58 p.m.


Message ID 1322755106-8171-4-git-send-email-jim@meyering.net
State Rejected
Headers show

Commit Message

Jim Meyering Dec. 1, 2011, 3:58 p.m.
From: Jim Meyering <meyering@redhat.com>

* configure.ac: Use AM_PROG_AR (must precede LT_INIT).
Without this, when using what will soon be automake-1.11.2, we'd
get a warning like this for each .a file:
  automake: warnings are treated as errors
  /usr/share/automake-1.11a/am/library.am: warning: `libadmin.a':\
    linking libraries using a non-POSIX
  /usr/share/automake-1.11a/am/library.am: archiver requires \
    `AM_PROG_AR' in `configure.ac'
  src/libadmin/Makefile.am:26:   while processing library `libadmin.a'

Signed-off-by: Jim Meyering <meyering@redhat.com>
 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

Patch hide | download patch | download mbox

diff --git a/configure.ac b/configure.ac
index 574e64b..4d3bf14 100644
--- a/configure.ac
+++ b/configure.ac
@@ -32,6 +32,8 @@  AC_CONFIG_SRCDIR([src])

 # Automake and libtools initialization